See Connection.publishers

This is a backend representation of a published media stream (see OpenVidu Browser Stream class)

### Hierarchy

- Publisher

## Index

### Constructors

- constructor

### Properties

- audioActive
- frameRate
- hasAudio
- hasVideo
- streamId
- typeOfVideo
- videoActive
- videoDimensions

## Constructors

### constructor

- new Publisher(json: any): Publisher

- - Defined in Publisher.ts:67

  #### Parameters

  - ##### json: any

  #### Returns Publisher

## Properties

### audioActive

audioActive: boolean

- Defined in Publisher.ts:47

See properties of Stream object in OpenVidu Browser library to find out more

### frameRate

frameRate: number

- Defined in Publisher.ts:57

See properties of Stream object in OpenVidu Browser library to find out more

### hasAudio

hasAudio: boolean

- Defined in Publisher.ts:37

See properties of Stream object in OpenVidu Browser library to find out more

### hasVideo

hasVideo: boolean

- Defined in Publisher.ts:42

See properties of Stream object in OpenVidu Browser library to find out more

### streamId

streamId: string

- Defined in Publisher.ts:32

Unique identifier of the Stream associated to this Publisher. Each Publisher is paired with only one Stream, so you can identify each Publisher by its `Stream.streamId`

### typeOfVideo

typeOfVideo: string

- Defined in Publisher.ts:62

See properties of Stream object in OpenVidu Browser library to find out more

### videoActive

videoActive: boolean

- Defined in Publisher.ts:52

See properties of Stream object in OpenVidu Browser library to find out more

### videoDimensions

videoDimensions: string

- Defined in Publisher.ts:67

See properties of Stream object in OpenVidu Browser library to find out more

Generated using TypeDoc